%define name wordtrans
%define version 1.1
%define release pre7.2mdk

Summary: 	Wordtrans is a front-end for dictionaries
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}-pre7.tar.bz2
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description

Wordtrans is a front-end for the following dictionaries: 
 
Some plain text dictionaries such as i2e and de-en. 
The English-Spanish dictionary i2e has 24,401 translations 
and the German-English has 111,088. Both dictionaries can 
be customized with new translations.
Dict server dictionaries. The dict server (using the DICT 
Protocol) can manage many useful dictionaries. 
Wordtrans can be configured to monitor the clipboard and 
automatically translate any words which are copied to it. 
This permits translating any word in (almost) any 
application simply by double-clicking in the word. 

%prep
%setup  -q -n %name-%version-pre7 

%build
# Laurent - 1.1-pre7-1mdk necessary otherwise we must patch Makefile.dirs
export QTDIR=/usr/lib/qt2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%name/
#mv $RPM_BUILD_ROOT/usr/share/doc/* $RPM_BUILD_ROOT/usr/share/doc/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/wordtrans/
%config (noreplace) /etc/wordtrans/*.conf
%config (noreplace) /etc/wordtrans/*.dconf
%config (noreplace) /etc/wordtrans/*.bconf
#%config (noreplace) /etc/wordtrans/*.baby

%_bindir/*
%_docdir/*

%_datadir/locale/*/*/*

%dir %_datadir/wordtrans/
%_datadir/wordtrans/*.xpm
%_datadir/wordtrans/*.dict

%dir %_datadir/wordtrans/flags/
%_datadir/wordtrans/flags/*.png
%_mandir/man1/*.bz2

%dir /var/www/wordtrans
/var/www/wordtrans/*.php
/var/www/wordtrans/*.html
/var/www/wordtrans/*.jpg

%changelog
* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1-pre7.2mdk
- Removed %%dir %%_mandir/man1/
- %%_datadir/locale/*/* --> %%_datadir/locale/*/*/*

* Mon Nov 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-pre7.1mdk
- Update code (1.1-pre7)

* Mon Oct 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-0.pre3.1mdk
- Update code (1.0.2-pre3)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- Update code (1.0.1)

* Tue Sep  4 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0final0-1mdk
- First mandrakr version
